Subject: bug#73779: 30.0.91; [PATCH] php-ts-mode: Better indentation and font locking, support for the latest grammar version.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Oct 2024 07:59:23 +0300

> From: Vincenzo Pupillo <[email-masked]>
> Date: Sat, 12 Oct 2024 22:12:30 +0200
> 
> this patch corrects the indentation of the control structure without closing 
> brackets (or without the end keyword... in the case of the alternative 
> syntax). It supports font locking of the “asymmetric property visibility ” 
> introduced with grammar v0.23.3 and so-called magic methods. And others small 
> fix. And others small bug I discovered while writing the tests..

Thank you.

I have two questions about this:

  . will the code which uses the "asymmetric property visibility" also
    work without problems with versions of the grammar library before
    0.23.3?
  . do you consider the code changes to be tested well enough and thus
    safe to be installed on the emacs-30 release branch?

I'd prefer to install on emacs-30, because this mode is new in Emacs
30, unless you are not sure the code is safe enough.